#!/usr/bin/env python
# encoding: utf-8
"""
common_utils.py

Created by Rod Docking on 2011-08-02.
Copyright (c) 2011 Canada's Michael Smith Genome Sciences Centre. All rights reserved.
"""

import sys
import os

def validate_file(f, min_size=100000, remove=False):
    """
    Validate that a file exists, and optionally remove it
    """
    
    # Assert file exists and has minimum size
    assert(os.path.exists(f))
    assert(os.path.getsize(f) >= min_size)
    
    # Remove if requested
    if remove:
        os.unlink(f)
    
    return


def main():
    pass


if __name__ == '__main__':
    main()

